
QGIS Application - Bug report #2352

map is drawn twice on toggling a layer's visibility

2010-01-10 07:18 AM - Steven Mizuno

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 12412

Description

The map is drawn twice on toggling a layer's visibility.

show the problem:

1. load two layers (can be the same; linestrings with lots of points helps to see the problem)

2. turn on incremental drawing (this is to make the drawing more noticeable)

3. turn off render caching (to be more noticeable)

4. as you toggle layer visibility off and on observe the map being drawn twice on each toggle. Also, the wait cursor is put up twice.

The incremental drawing and render caching don't affect the problem.

This was noticed on Windows, but I believe all platforms are affected.

History

#1 - 2011-07-25 09:14 AM - Paolo Cavallini

- Tracker changed from Bug report to 4

- Pull Request or Patch supplied set to No

- Start date set to 2011-07-25

- Assignee deleted (nobody -)

#2 - 2011-10-11 01:08 AM - Sandro Santilli

Seems like a duplicate of #2596

#3 - 2011-10-15 07:14 AM - Giovanni Manghi

- Resolution set to duplicate

- Tracker changed from 4 to Bug report

merged with #2596

#4 - 2011-10-25 04:12 PM - Giovanni Manghi

- Status changed from Open to Closed
